/*
 * Copyright (c) 2004 ISP RAS.
 * 109004, B. Communisticheskaya, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id: AccessConstraintViolationException.java,v 1.2 2005/07/07 05:20:50 kuliamin Exp $
 * Created on 19.05.2005
 *
 */
package jatva.lang;

/** 
 *
 * @author Victor Kuliamin
 *
 */
public class AccessConstraintViolationException
    extends SpecificationViolationException
{
  public AccessConstraintViolationException(String p_class, String p_method)
  {
    super("Violation of access constraint", new String[]{"class", "method"}, new String[]{p_class, p_method});
  }

  public AccessConstraintViolationException(String p_class, String p_method, String constraint)
  {
    super("Violation of access constraint", new String[]{"class", "method", "constraint"}, new String[]{p_class, p_method, constraint});
  }
}
