/*
 * Copyright (c) 2004 ISP RAS.
 * 109004, B. Communisticheskaya, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id: GenStateCalculationException.java,v 1.2 2005/09/20 09:37:44 kuliamin Exp $
 * Created on 19.05.2005
 *
 */
package jatva.lang;

import jatva.util.Utils;

/** 
 *
 * @author Victor Kuliamin
 *
 */
public class GenStateCalculationException
  extends CriticalRuntimeTestException
{
  public GenStateCalculationException (TestingModel object, Throwable error)
  {
    super("Exception occurred while calculating generalized state", error, new String[]{"object"}, new String[]{Utils.getSimpleString(object)});
  }
}
