/* 
 * Copyright (c) 2000 ISP RAS.
 * B.Communisticheskaya,25, Moscow, Russia.
 * All rights reserved.
 *
 */

package jatva.lang;

public class IllegalModelArgumentsException
  extends RuntimeTestException
{
  public IllegalModelArgumentsException(String p_class, String p_method)
  {
    super("Illegal arguments", new String[]{"class", "method"}, new String[]{p_class, p_method});
  }

  public IllegalModelArgumentsException(String p_class, String p_method, String info)
  {
	  super("Illegal arguments: " + info, new String[]{"class", "method"}, new String[]{p_class, p_method});
  }

  public IllegalModelArgumentsException(String p_class, String p_method, String info, String name, Object value)
  {
    super("Illegal arguments: " + info, new String[]{"class", "method", "argument name", "argument value"}, new String[]{p_class, p_method, name, "" + value});
  }

//???  
  public IllegalModelArgumentsException(String p_class, String p_method, String info, Throwable error)
  {
	  super("Illegal arguments: " + info, error, new String[]{"class", "method"}, new String[]{p_class, p_method});
  }
}
