/* 
 * Copyright (c) 2000 ISP RAS.
 * B.Communisticheskaya,25, Moscow, Russia.
 * All rights reserved.
 *
 */

package jatva.lang;

//import java.util.HashMap;
import java.util.Vector;

public class TestCase
{
	protected String _branch = null;
	//protected HashMap/*Integer -> Boolean*/ _pfomulas = new HashMap();
  protected jatva.util.IntToIntMap _pformulas = new jatva.util.IntToIntMap();
  protected Vector/*String*/ _marks = new Vector();
  protected Vector/*Integer*/ _predicates = new Vector();
	
  public TestCase()
  {
  }
  
  public synchronized void clear()
	{
    _branch = null;
		_pformulas.clear();
    _marks.removeAllElements();
    _predicates.removeAllElements();
	}
  
  public synchronized void add_mark(String mark)
  {
    _marks.addElement(mark);
  }
	
  public synchronized boolean add_prime_formula(boolean pformula, int identifier)
	{
    _pformulas.put(identifier, pformula?2:1);
		
		return pformula;
	}
	
  public synchronized void set_branch(String sbranch)
	{
		_branch = sbranch;
	}
  
  public synchronized void add_predicate(int identifier)
  {
    _predicates.addElement(new Integer(identifier));
  }
  
  public synchronized String getBranch()
  {
    return _branch;
  }
  
  public synchronized int getFormulasNumber()
  {
    return _pformulas.size();
  }
  
//  public synchronized boolean getFormulaValue(int identifier)
  public synchronized int getFormulaValue(int identifier)
  {
    if(_pformulas.get( identifier ) == 1)
      return 0;
    else if(_pformulas.get( identifier ) == 2)
      return 1;
    else
      return -1;
  }
}
