/*
 * Copyright (c) 2004 ISP RAS.
 * 109004, B. Communisticheskaya, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id: ClassData.java,v 1.1 2005/07/07 05:20:27 kuliamin Exp $
 * Created on 10.06.2005
 *
 */
package jatva.lang.services;

import jatva.util.StringToObjectMap;

/** 
 *
 * @author Victor Kuliamin
 *
 */
public class ClassData
{
  private String            name   = null;
  private StringToObjectMap fields = new StringToObjectMap();
  
  public ClassData(String name)
  {
    this.name = name;
  }
  
  public String getName()
  {
    return name;
  }
  
  public Object getField(String id)
  {
    return fields.get(id);
  }
  
  public void setField(String id, Object o)
  {
    fields.put(id, o);
  }
}
