package jatva.tracer.messages;

import jatva.lang.synchronization.TestManager;

public class DeferredBranchMessage extends TracerMessage
{
    private String branch;
    private String msg;

    public DeferredBranchMessage( TestManager registrar, String branch, String msg )
    {
        super( registrar );
        this.branch = branch;
        this.msg = msg;
    }

    @Override
    protected StringBuffer format()
    { return tracer.formatDeferredBranch( registrar, branch, msg ); }
}
