package jatva.tracer.messages;

import java.util.Map;

import jatva.lang.synchronization.TestManager;

public class EnvironmentPropertiesMessage extends TracerMessage
{
    private Map props;
    
    public EnvironmentPropertiesMessage( TestManager registrar
                                       , Map props
                                       )
    {
        super( registrar );
        this.props = props;
    }
    
    @Override
    protected StringBuffer format()
    {
        return tracer.formatEnvironmentProperties( registrar, props );
    }

}
