package jatva.tracer.messages;

import jatva.lang.synchronization.TestManager;
import jatva.util.OperationInfo;

public class ImplementationCallEnterMessage extends TracerMessage
{
    private OperationInfo operationData;
    private Object obj;
    private Object[] args;

    public ImplementationCallEnterMessage( TestManager registrar
                                         , OperationInfo operationData
                                         , Object obj
                                         , Object[] args
                                         )
    {
        super( registrar );
        this.operationData = operationData;
        this.obj = obj;
        this.args = args;
    }

    @Override
    protected StringBuffer format()
    { return tracer.formatImplementationOperationStart( registrar, operationData, obj, args ); }
}
