package jatva.tracer.messages;

import jatva.lang.synchronization.TestManager;

public class ImplementationExceptionMessage extends TracerMessage
{
    private Throwable error;

    public ImplementationExceptionMessage( TestManager registrar, Throwable error )
    {
        super( registrar );
        this.error = error;
    }

    @Override
    protected StringBuffer format()
    { return tracer.formatImplementationException( registrar, error ); }
}
