package jatva.tracer.messages;

import jatva.lang.TestingModel;
import jatva.lang.synchronization.TestManager;

public class ScenarioMethodMessage extends TracerMessage
{
    private TestingModel model;
    private String method;

    public ScenarioMethodMessage( TestManager registrar
                                , TestingModel model
                                , String method
                                )
    {
        super( registrar );
        this.model = model;
        this.method = method;
    }

    @Override
    protected StringBuffer format()
    { return tracer.formatScenarioMethod( registrar, model, method ); }
}
