package jatva.tracer.messages;

import jatva.lang.synchronization.TestManager;

public class StateMessage extends TracerMessage
{
    private int stateId;
    private Object state;
    
    public StateMessage( TestManager registrar, int stateId, Object state )
    {
        super( registrar );
        this.stateId = stateId;
        this.state = state;
    }

    @Override
    protected StringBuffer format()
    { return tracer.formatState( registrar, stateId, state ); }
}
