package jatva.tracer.messages;

import jatva.lang.synchronization.TestManager;

public class TransitionStartMessage extends TracerMessage
{
    private int transitionId;

    public TransitionStartMessage( TestManager registrar, int transitionId )
    {
        super( registrar );
        this.transitionId = transitionId;
    }

    @Override
    protected StringBuffer format()
    { return tracer.formatTransitionStart( registrar, transitionId ); }
}
