package jatva.util;

import junit.framework.TestCase;

public class UtilsTest extends TestCase {
    
    public void testCropModifiers() {
        assertEquals("public", "void myMethod(String sig)", Utils.cropModifiers("public void myMethod(String sig)"));
        assertEquals("public static", "void myMethod(String sig)", Utils.cropModifiers("public static void myMethod(String sig)"));
        assertEquals("public static final", "void myMethod(String sig)", Utils.cropModifiers("public static final void myMethod(String sig)"));
        assertEquals("static public", "void myMethod(String sig)", Utils.cropModifiers("static public void myMethod(String sig)"));
    }

}
