/*
 * Copyright (c) 2000 ISP RAS.
 * 109004, B. Communisticheskaya, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id: NonconnectedModelException.java,v 1.3 2006/03/30 15:18:40 kuliamin Exp $
 * Created on 01.04.2000
 *
 */

package jatva.engines;

import jatva.lang.TestEngineException;

public class NonconnectedModelException
  extends TestEngineException
{
  public NonconnectedModelException(String scenarioClass, Object currentState, Object targetState)
  {
    super(  "The scenario does not define mutually connected model"
          , new String[]{"scenario class", "current state", "unreachable state"}
          , new String[]{scenarioClass, "" + currentState, "" + targetState}
         );
  }
}
