/* 
 * Copyright (c) 2000 ISP RAS.
 * B.Communisticheskaya,25, Moscow, Russia.
 * All rights reserved.
 *
 */

package jatva.iterators;

public interface Iterator
  extends Cloneable, java.util.Iterator
{
  public static final String EXHAUSTED = "<exhausted>";
  
  boolean stop();
  
  void shift();
  
  Object next();
  
  Object clone();
  
  String toString();

  boolean hasNext();

  void remove();
}
