/*
 * Copyright (c) 2004 ISP RAS.
 * 109004, B. Communisticheskaya, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id: AmbigousStaticMethodDefinitionException.java,v 1.1 2005/05/20 06:37:44 kuliamin Exp $
 * Created on 20.05.2005
 *
 */
package jatva.lang;

/** 
 *
 * @author Victor Kuliamin
 *
 */
public class AmbigousStaticMethodDefinitionException
  extends CriticalRuntimeTestException
{
  public AmbigousStaticMethodDefinitionException(String p_class, String oldDefiner, String newDefiner)
  {
    super(  "The mediator class introduces different definition of static specification method"
        , new String[]{"mediator class", "class defining used method", "class defining new method"}
        , new String[]{p_class, oldDefiner, newDefiner});
  }
}
