/* 
 * Copyright (c) 2000 ISP RAS.
 * B.Communisticheskaya,25, Moscow, Russia.
 * All rights reserved.
 *
 */

package jatva.lang;

public class AmbigousStaticSynchronizationException
  extends CriticalRuntimeTestException
{
  public AmbigousStaticSynchronizationException(String p_class, String oldDefiner, String newDefiner)
  {
    super(  "The mediator class introduces different definition of class state synchronization"
          , new String[]{"mediator class", "class defining used class state synchronization", "class defining new class state synchronization"}
          , new String[]{p_class, oldDefiner, newDefiner});
  }
}
