/*
 * Copyright (c) 2004 ISP RAS.
 * 109004, B. Communisticheskaya, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id: IllegalCoverageItemException.java,v 1.1 2005/05/20 06:37:44 kuliamin Exp $
 * Created on 22.03.2005
 *
 */
package jatva.lang;

/** 
 *
 * @author Victor Kuliamin
 *
 */
public class IllegalCoverageItemException
  extends RuntimeTestException
{
  public IllegalCoverageItemException(String p_class, String p_method, String p_coverage, int p_size, int p_index)
  {
    super("Illegal index of coverage item used", new String[]{"class", "method", "coverage", "size", "index used"}, new String[]{p_class, p_method, p_coverage, "" + p_size, "" + p_index});
  }
}
