/* 
 * Copyright (c) 2000 ISP RAS.
 * B.Communisticheskaya,25, Moscow, Russia.
 * All rights reserved.
 *
 */

package jatva.lang;

public class IllegalImplementationStateException
  extends StateSynchronizationException
{
  public IllegalImplementationStateException(String p_class, String info)
  {
	  super(p_class, "Illegal implementation state: " + info);
  }

  public IllegalImplementationStateException(String p_class, String info, Throwable error)
  {
	  super(p_class, "Illegal implementation state: " + info, error);
  }
}
