/*
 * Copyright (c) 2000 ISP RAS.
 * 109004, B. Communisticheskaya, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id: ImplicitMethodCallException.java,v 1.5 2005/09/20 09:37:44 kuliamin Exp $
 * Created on 01.04.2000
 *
 */

package jatva.lang;

import jatva.util.Utils;

public class ImplicitMethodCallException
  extends RuntimeTestException
{
  public ImplicitMethodCallException(String p_class, String p_method)
  {
    super("The method called is defined only implicitly", new String[]{"class", "method"}, new String[]{p_class, p_method});
  }

  public ImplicitMethodCallException(ModelObject object, String p_method)
  {
    super("The method called is defined only implicitly", new String[]{"object", "method"}, new String[]{Utils.getSimpleString(object), p_method});
  }
}