/*
 * Copyright (c) 2004 ISP RAS.
 * 109004, B. Communisticheskaya, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id: InsufficientAccessibilityError.java,v 1.1 2006/02/28 10:57:24 kuliamin Exp $
 * Created on 27.02.2006
 *
 */
package jatva.lang;

import jatva.util.Utils;

/** 
 *
 * @author Victor Kuliamin
 *
 */
public class InsufficientAccessibilityError extends TestSystemInternalError
{
  public InsufficientAccessibilityError(String info, String[] tags, String[] values)
  {
    super("Test system cannot operate in the accessibility rules set - they are too strict" + Utils.endl + info, null, true, true, tags, values);
  }

  public InsufficientAccessibilityError(String info, Throwable error, String[] tags, String[] values)
  {
    super("Test system cannot operate in the accessibility rules set - they are too strict" + Utils.endl + info, error, true, true, tags, values);
  }
}
