/*
 * Copyright (c) 2004 ISP RAS.
 * 109004, B. Communisticheskaya, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id: RuntimeScenarioMethodException.java,v 1.3 2005/09/20 09:37:44 kuliamin Exp $
 * Created on 19.05.2005
 *
 */
package jatva.lang;

import jatva.util.Utils;

/** 
 *
 * @author Victor Kuliamin
 *
 */
public class RuntimeScenarioMethodException
  extends RuntimeTestException
{
  public RuntimeScenarioMethodException(TestingModel object, String p_method, Throwable error)
  {
    super("Exception in scenario method", error, new String[]{"object", "method"}, new String[]{Utils.getSimpleString(object), p_method});
  }
}
