/* 
 * Copyright (c) 2000 ISP RAS.
 * B.Communisticheskaya,25, Moscow, Russia.
 * All rights reserved.
 *
 */

package jatva.lang;

import jatva.util.Utils;

public class RuntimeSpecificationMethodException
  extends RuntimeTestException
{
  public RuntimeSpecificationMethodException(String p_class, String p_method, String info)
  {
  	super(info, new String[]{"class", "method"}, new String[]{p_class, p_method});
  }
  
  public RuntimeSpecificationMethodException(String p_class, String p_method, String info, Throwable error)
  {
  	super(info, error, new String[]{"class", "method"}, new String[]{p_class, p_method});
  }

  public RuntimeSpecificationMethodException(ModelObject object, String p_method, String info)
  {
      super(info, new String[]{"object", "method"}, new String[]{Utils.getSimpleString(object), p_method});
  }
  
  public RuntimeSpecificationMethodException(ModelObject object, String p_method, String info, Throwable error)
  {
      super(info, error, new String[]{"object", "method"}, new String[]{Utils.getSimpleString(object), p_method});
  }

  public RuntimeSpecificationMethodException(String info, String[] tags, String[] values)
  {
    super(info, tags, values);
  }
}
