package jatva.lang;

import jatva.util.Utils;

public class RuntimeTautologyFailureException extends RuntimeTestException
{
    private static final long serialVersionUID = 1L;

    private static final String info = "Tautology evaluated to false";
    public RuntimeTautologyFailureException(String p_class, String p_method, String p_tautology )
    {
      super( info
           , new String[]{ "class", "method", "tautology" }
           , new String[]{ p_class, p_method, p_tautology }
           );
    }
    
    public RuntimeTautologyFailureException( ModelObject object, String p_method, String p_tautology )
    {
        super( info
             , new String[]{ "object", "method", "tautology" }
             , new String[]{ Utils.getSimpleString( object ), p_method, p_tautology }
             );
    }
}
