/*
 * Copyright (c) 2004 ISP RAS.
 * 109004, B. Communisticheskaya, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id: RuntimeTestException.java,v 1.2 2005/05/20 06:37:45 kuliamin Exp $
 * Created on 19.05.2005
 *
 */
package jatva.lang;

/** 
 *
 * @author Victor Kuliamin
 *
 */
public class RuntimeTestException
  extends TestException
{
  public RuntimeTestException(String info, String[] tags, String[] values)
  {
    super(info, null, false, false, true, tags, values);
  }
  
  public RuntimeTestException(String info, Throwable error, String[] tags, String[] values)
  {
    super(info, error, false, false, true, tags, values);
  }

  public RuntimeTestException(String info, boolean isCritical, String[] tags, String[] values)
  {
    super(info, null, isCritical, false, true, tags, values);
  }
  
  public RuntimeTestException(String info, Throwable error, boolean isCritical, String[] tags, String[] values)
  {
    super(info, error, isCritical, false, true, tags, values);
  }
}
