/*
 * Copyright (c) 2000 ISP RAS.
 * B.Communisticheskaya,25, Moscow, Russia.
 * All rights reserved.
 *
 */

package jatva.lang;

public class StateSynchronizationException
  extends SpecificationViolationException
{
    public StateSynchronizationException( String info, String[] tags, String[] values )
    {
        super( info, true, tags, values );
    }

    public StateSynchronizationException( String info, Throwable error, String[] tags, String[] values )
    {
        super( info, error, true, tags, values );
    }

    public StateSynchronizationException( String p_class, String info )
    {
        super( info, true, new String[]{ "class" }, new String[]{ p_class } );
    }

    public StateSynchronizationException( String p_class, String info, Throwable error )
    {
        super( info, error, true, new String[]{ "class" }, new String[]{ p_class } );
    }
}
