/*
 * Copyright (c) 2000 ISP RAS.
 * 109004, B. Communisticheskaya, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id: TestSystemInternalError.java,v 1.2 2005/05/19 15:20:20 kuliamin Exp $
 * Created on 01.04.2000
 *
 */

package jatva.lang;

public class TestSystemInternalError
  extends TestException
{
  public TestSystemInternalError(String info, String[] tags, String[] values)
  {
    super(info, null, true, true, true, tags, values);
  }
  
  public TestSystemInternalError(String info, Throwable error, String[] tags, String[] values)
  {
    super(info, error, true, true, true, tags, values);
  }
/*  
  public Bug(String str)
  {
    this(true, str);
  }
  
*/
  protected TestSystemInternalError(String info, Throwable error, boolean isCritical, boolean isTraced, String[] tags, String[] values)
  {
    super(info, error, isCritical, true, isTraced, tags, values);
  }
    
  protected TestSystemInternalError(String info, boolean isCritical, boolean isTraced, String[] tags, String[] values)
  {
    super(info, null, isCritical, true, isTraced, tags, values);
  }
    
  protected TestSystemInternalError(DummyClass fl, String info)
  {
    super(info, null, true, true, false, null, null);
  }

  protected TestSystemInternalError(DummyClass fl, String info, Throwable error)
  {
    super(info, error, true, true, false, null, null);
  }
  
  public static synchronized TestSystemInternalError makeUntracedBug(String str)
  {
    return new TestSystemInternalError(DummyClass.dummyObject(), str);
  }

  public static synchronized TestSystemInternalError makeUntracedBug(String str, Throwable err)
  {
    return new TestSystemInternalError(DummyClass.dummyObject(), str, err);
  }
 /* 
  public static void bugAssert(  boolean condition
                            , String p_package
                            , String p_class
                            , String p_method
                            , String info
                           )
  {
    if(!condition)
    {
      throw new TestSystemInternalError(p_package, p_class, p_method, info);
    }
  }*/
}
