/*
 * Copyright (c) 2004 ISP RAS.
 * 109004, B. Communisticheskaya, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id: TranslationError.java,v 1.2 2006/02/28 10:50:27 kuliamin Exp $
 * Created on 30.11.2005
 *
 */
package jatva.lang;

/** 
 *
 * @author Victor Kuliamin
 *
 */
public class TranslationError extends TestSystemInternalError
{
  public TranslationError(String info, String[] tags, String[] values)
  {
    super("Error in translated code: " + info, null, true, true, tags, values);
  }

  public TranslationError(String info, Throwable e, String[] tags, String[] values)
  {
    super("Error in translated code: " + info, e, true, true, tags, values);
  }
}
