package jatva.lang;

import jatva.util.Utils;

/*
 * Copyright (c) 2004 ISP RAS.
 * 109004, B. Communisticheskaya, 25, Moscow, Russia.
 * All rights reserved.
 *
 * $Id: UnexpectedImplementationException.java,v 1.3 2005/09/20 09:37:44 kuliamin Exp $
 * Created on 19.05.2005
 *
 */

/** 
 *
 * @author Victor Kuliamin
 *
 */
public class UnexpectedImplementationException
  extends SpecificationViolationException
{
  public UnexpectedImplementationException(String p_class, String p_method, Throwable error)
  {
    super("Unexpected exception in implementation", error, new String[]{"class", "method"}, new String[]{p_class, p_method});
  }

  public UnexpectedImplementationException(ModelObject object, String p_method, Throwable error)
  {
    super("Unexpected exception in implementation", error, new String[]{"object", "method"}, new String[]{Utils.getSimpleString(object), p_method});
  }
}
