package jatva.lang.synchronization;


public abstract class ActorThread extends Thread
{
  protected ActorContext actorMedium;
//  protected DeepSubject  storage;
      
  public ActorThread( ActorContext actorMedium/*, DeepSubject storage*/ )
  {
    super();
    this.actorMedium = actorMedium;
    //this.storage     = storage;
    actorMedium.registerActor( this );
  }
 
  public void run()
  {
    TestManager _lv_registrar = TestManager.getRegistrar();
    
    _lv_registrar.testFrameEnter();
    
    actorMedium.reachCommonStart();
    
    _ts_execute();
    
    actorMedium.finish();
    
    _lv_registrar.testFrameExit();
  }
  
  public abstract void _ts_execute();
      
  protected void _ts_send( ActorThread dest, Object o )
  {
    actorMedium.send( dest, o );
  }

  protected void _ts_sendAll( Object o )
  {
    actorMedium.sendAll( this, o );
  }

  protected Object _ts_receive()
  {
    return actorMedium.receive( this );
  }
}