/*
 * Copyright (c) 2000-2003 ISP RAS.
 * B.Communisticheskaya,25, Moscow, Russia.
 * All rights reserved.
 *
 * TracerException
 * $Id: TracerException.java,v 1.2 2005/05/20 06:38:16 kuliamin Exp $
 *
 * Author: Victor Kuliamin <kuliamin@ispras.ru>
 * Created on December 6, 2002
 */
//=============================================================================

package jatva.tracer;

//=============================================================================

import jatva.lang.TestException;

//=============================================================================

/**
 * Thrown when an error occured in tracer subsystem caused by user's actions.
 *
 * @author <a href="mailto:kuliamin@ispras.ru">Victor Kuliamin</a>
 */
public class TracerException
  extends TestException
{
  public TracerException(String info, Throwable error) 
  {
    super(info, error, true, false, false, null, null);
  }

  public TracerException(String info) 
  {
    super(info, null, true, false, false, null, null);
  }

}
//=============================================================================
// End of TracerException.java
