package jatva.tracer.messages;

import jatva.lang.synchronization.TestManager;

public abstract class ExceptionMessage extends TracerMessage
{
    protected Throwable cause;
    protected String info;
    protected String[] tags;
    protected String[] values;

    public ExceptionMessage( TestManager registrar
                           , Throwable cause
                           , String info
                           , String[] tags
                           , String[] values
                           )
    {
        super( registrar );
        this.cause = cause;
        this.info = info;
        this.tags = tags;
        this.values = values;
    }
}
