package jatva.tracer.messages;

import jatva.lang.synchronization.TestManager;

public class ImplementationCallExitMessage extends TracerMessage
{
    private long stime;
    private long etime;
    
    public ImplementationCallExitMessage( TestManager registrar
                                        , long stime
                                        , long etime
                                        )
    {
        super( registrar );
        this.stime = stime;
        this.etime = etime;
    }

    @Override
    protected StringBuffer format()
    { return tracer.formatImplementationOperationEnd( registrar, stime, etime ); }
}
