package jatva.tracer.messages;

import jatva.lang.synchronization.TestManager;

public class ImplementationResultMessage extends TracerMessage
{
    private String staticResultType;
    private Object result;

    public ImplementationResultMessage( TestManager registrar
                                      , String staticResultType
                                      , Object result
                                      )
    {
        super( registrar );
        this.staticResultType = staticResultType;
        this.result = result;
    }

    @Override
    protected StringBuffer format()
    { return tracer.formatImplementationResult( registrar, staticResultType, result ); }
}
