package jatva.tracer.messages;

import jatva.lang.ModelObject;
import jatva.lang.synchronization.TestManager;

public class InstanceInvariantStartMessage extends InvariantStartMessage
{
    private ModelObject model;

    public InstanceInvariantStartMessage( TestManager registrar
                                        , ModelObject model
                                        , String name
                                        , String msg
                                        )
    {
        super( registrar, name, msg );
        this.model = model;
    }

    @Override
    protected StringBuffer format()
    { return tracer.formatInvariantStart( registrar, model, name, msg ); }
}
