package jatva.tracer.messages;

import jatva.lang.synchronization.TestManager;

public class ScenarioEndMessage extends TracerMessage
{
    private String finishReason;

    public ScenarioEndMessage( TestManager registrar, String finishReason )
    {
        super( registrar );
        this.finishReason = finishReason;
    }

    @Override
    protected StringBuffer format()
    { return tracer.formatScenarioEnd( registrar, finishReason ); }
}
