package jatva.tracer.messages;

import jatva.lang.TestingModel;
import jatva.lang.synchronization.TestManager;

public class ScenarioStartMessage extends TracerMessage
{
    private TestingModel scenario;

    public ScenarioStartMessage( TestManager registrar, TestingModel scenario )
    { 
        super( registrar );
        this.scenario = scenario;
    }

    @Override
    protected StringBuffer format()
    { return tracer.formatScenarioStart( registrar, scenario ); }
}
