package jatva.tracer.messages;

import jatva.lang.synchronization.TestManager;

public class ScenarioValueMessage extends ValueMessage
{
    private boolean   isPrimitive;

    public ScenarioValueMessage( TestManager registrar
                               , String kind
                               , String type
                               , String name
                               , boolean isPrimitive
                               , Object value
                               )
    {
        super( registrar, kind, type, name, value );
        this.isPrimitive = isPrimitive;
    }

    @Override
    protected StringBuffer format()
    {
        return tracer.formatScenarioValue( registrar
                                         , kind
                                         , type
                                         , name
                                         , isPrimitive
                                         , value
                                         );
    }
}
