package jatva.tracer.messages;

import jatva.lang.synchronization.TestManager;

public class TaggedUserInfoMessage extends TracerMessage
{
    private String[] tags;
    private String[] values;
    
    public TaggedUserInfoMessage( TestManager registrar
                                , String[] tags
                                , String[] values
                                )
    {
        super( registrar );
        this.tags = tags;
        this.values = values;
    }

    @Override
    protected StringBuffer format()
    { return tracer.formatUserInfo( registrar, tags, values ); }
}
