package jatva.tracer.messages;

import jatva.lang.synchronization.TestManager;

public class TestExceptionMessage extends ExceptionMessage
{
    private boolean isInterim;

    public TestExceptionMessage( TestManager registrar
                               , boolean isInterim
                               , Throwable cause
                               , String info
                               , String[] tags
                               , String[] values
                               )
    {
        super( registrar, cause, info, tags, values );
        this.isInterim = isInterim;
    }

    @Override
    protected StringBuffer format()
    { return tracer.formatException( registrar, isInterim, cause, info, tags, values ); }
}
